SmlThreadFunctionContext Struct Reference
libsyncml API Internals » Low Level API Internals » SyncML Support
Collaboration diagram for SmlThreadFunctionContext:

## Data Fields

GMutex * | mutex
GCond * | cond
SmlThreadCallFunctionType | func
gpointer | data
SmlBool | result
SmlError ** | error

## Detailed Description

This context is used to cache the environment for direct function calls within a special thread. Please see smlThreadCallFunction for more details.

Definition at line 521 of file sml_support.c.

The documentation for this struct was generated from the following file:

- /build/libsyncml-I3VCSZ/libsyncml-0.5.4/libsyncml/sml_support.c